Building the app error

Forum Home Forums Development and Integration Building the app error

Tagged: 

Viewing 15 posts - 1 through 15 (of 18 total)
  • Author
    Posts
  • #6241
    Avatarhicode
    Participant

    Hello !
    First : thanks for your work !
    Second : i have a problem, i was building the app, until the OpenPlugins block me …
    When i build, my IDE say’s : ” ‘WebUtils’ ne contient pas de définition pour ‘QueryParamToIntArray’ ” (its in french but it say that WebUtils don’t have a method named QueryParamToIntArray).

    Thanks for your help

    #6244
    MikhailMikhail
    Moderator

    Hello,
    You should get the source code from the master branch v5.7.1
    In this case, I hope, the projects will be consistent. And you get the same binaries that are included in the installation package.

    it say that WebUtils don’t have a method named QueryParamToIntArray

    This method was deleted recently.

    #6245
    Avatarhicode
    Participant

    Thanks for quick reply,
    Oh ok, i taked to code source from github, but i will try with your link !

    #6246
    Avatarhicode
    Participant

    It work’s better thanks !
    Or almost, i try to use the ServerAdmin5, because the classic ServerAdmin need DataBase in a special format.
    But when i try to build ScadaAdmin5 i need the ScadaWebCommon5 Assembly but i only have the classic ScadaWebCommon..

    #6256
    MikhailMikhail
    Moderator

    i taked to code source from github, but i will try with your link !

    My link is also GitHub.

    i try to use the ServerAdmin5, because the classic ServerAdmin

    That’s correct.

    i try to build ScadaAdmin5 i need the ScadaWebCommon5 Assembly but i only have the classic ScadaWebCommon

    Current name is ScadaWebCommon. The issue is strange. Could you make a screenshot of Visual Studio solution explorer with expanded References node?

    #6263
    AvatarDmitriy
    Participant

    Hello,
    I have problem with OpenKPs project. I tried v5.7.1, but got same building errors.
    Error log here

    #6270
    MikhailMikhail
    Moderator

    Hi,
    The problems are in KpSnmp.dll. If you don’t need it, just unload KpSnmp project. If you need, check where it looks for SharpSnmpLib

    #6271
    MikhailMikhail
    Moderator

    Probably, you got problems with NuGet references. Open NuGet manager and check.
    KpSnmp and KpOpcUa uses NuGet packages.

    #6274
    AvatarDmitriy
    Participant

    Thanks!
    I restored NuGet packages for KpSnmp and it works.
    But I still got errors with KpOpcUa, it could not resolve assemblies “Log”, “ScadaCommCommon and “ScadaData”.
    Error log

    #6276
    MikhailMikhail
    Moderator

    Log, ScadaCommCommon and ScadaData are located in the same repository. Build them before. Don’t forget to switch from Debug to Release configuration when build.

    #6277
    AvatarDmitriy
    Participant

    I built sources according to the instructions from “HowToBuild” file. I already built all solutions before KpOpcUa in Release configuration, but KpOpcUa could not resolve assemblies. I alse tried to build a sources on another computer, but got the same building errors.

    #6278
    MikhailMikhail
    Moderator

    You should check the dependencies. There are no magic.

    #6298
    Avatarhicode
    Participant

    I put the screen here : https://ibb.co/SVRLzXN
    thanks

    #6299
    Avatarhicode
    Participant

    also this screen : https://ibb.co/njVq4nL

    #6306
    MikhailMikhail
    Moderator

    Try removing ScadaWebCommon5 dependency. Does it help?

Viewing 15 posts - 1 through 15 (of 18 total)
  • You must be logged in to reply to this topic.